pcmanfm does not browse network shares

Bug #1174571 reported by Andrew "dr. Equivalent" Scherbackoff on 2013-04-29
52
This bug affects 10 people
Affects Status Importance Assigned to Milestone
pcmanfm (Ubuntu)
Undecided
Unassigned

Bug Description

Situation:
Trying to mount any share via GO>Network><Any server>.

Expected behavoir:
PCManFM shows shares on server.

What actually happens:
PCManFM says "Specified location is not mounted".

Why I'm sure it's PCmanFM's bug:
Thunar does well.

However, if I write the path into pathbar (smb://server/sharename/), it opens the location very nicely.
Tried also on fresh install of 13.04, to absolutely no avail.
12.10's pcmanfm does not have this bug.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: pcmanfm 1.1.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
Uname: Linux 3.8.0-19-generic i686
ApportVersion: 2.9.2-0ubuntu8
Architecture: i386
Config_pcmanfm_System_Lubuntu: Error: [Errno 2] No such file or directory: '/etc/xdg/pcmanfm/lubuntu.conf'
Date: Tue Apr 30 02:25:45 2013
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/pcmanfm
InstallationDate: Installed on 2013-04-29 (0 days ago)
InstallationMedia: Lubuntu 12.10 "Quantal Quetzal" - Release i386 (20121017.1)
MarkForUpload: True
Pref_Config_System_Lubuntu:
 [Preferred Applications]
 WebBrowser=firefox.desktop
 MailClient=
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: pcmanfm
Udisks_dump: Error: [Errno 2] No such file or directory: 'udisks'
UpgradeStatus: Upgraded to raring on 2013-04-29 (0 days ago)

Mårten Behm (marten-behm) wrote :

I'm also affected by this. Found advice on the Gentoo forums to launch by command "dbus-launch pcmanfm". Then I get normal functionality, so I can browse and access all shares as normal.

DeST (mastermixme) wrote :

I'm also affected by this on Lubuntu 13.04

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pcmanfm (Ubuntu):
status: New → Confirmed
Federico Leoni (effelle-gmail) wrote :

I can confirm it on Lubuntu 13.04. I can resolve host/computer name but I can't access the shares. Adding a complete ip/name path on Pcmanfm, like smb://192.168.0.107/Downloads or smb://OPTIPLEXGX620/Vídeos, will mount share and grant a full access and I can also mount share via Gigolo without issues.
Sometimes the share works just fine after a couple of mount/unmount cycle but I think it's just a coincidence.

tags: added: apport-collected

ApportVersion: 2.9.2-0ubuntu8
Architecture: i386
Config_pcmanfm_System_Lubuntu: Error: [Errno 2] No such file or directory: '/etc/xdg/pcmanfm/lubuntu.conf'
DistroRelease: Ubuntu 13.04
InstallationDate: Installed on 2013-05-29 (6 days ago)
InstallationMedia: Lubuntu 12.10 "Quantal Quetzal" - Release i386 (20121017)
MarkForUpload: True
Package: pcmanfm 1.1.0-0ubuntu2
PackageArchitecture: i386
Pref_Config_System_Lubuntu:
 [Preferred Applications]
 WebBrowser=firefox.desktop
 MailClient=
Tags: raring
Udisks_dump: Error: [Errno 2] No such file or directory
Uname: Linux 3.6.11-030611-generic i686
UpgradeStatus: Upgraded to raring on 2013-06-02 (2 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

apport information

apport information

apport information

apport information

Andrea Agnolin (agno94) wrote :

The version available in ppa:lubuntu-dev/lubuntu-daily solves this bug.
Please update the package.

Changed in pcmanfm (Ubuntu):
status: Confirmed → Fix Committed
Federico Leoni (effelle-gmail) wrote :

Thanks Andrea, I'm using the version found on lubuntu-dev ppa ((1.1.0+bzr905+201306281636~raring1) on three different computers and I can confirm it's working fine now.

Is this only with the SMB protocol? I use SSHFS regularly with no problems.
Issue may lie in gvfs?
On Jun 30, 2013 12:55 PM, "Federico Leoni" <email address hidden> wrote:

> Thanks Andrea, I'm using the version found on lubuntu-dev ppa
> ((1.1.0+bzr905+201306281636~raring1) on three different computers and I
> can confirm it's working fine now.
>
> --
> You received this bug notification because you are a member of Lubuntu
> Packages Team, which is subscribed to pcmanfm in Ubuntu.
> https://bugs.launchpad.net/bugs/1174571
>
> Title:
> pcmanfm does not browse network shares
>
> Status in “pcmanfm” package in Ubuntu:
> Fix Committed
>
> Bug description:
> Situation:
> Trying to mount any share via GO>Network><Any server>.
>
> Expected behavoir:
> PCManFM shows shares on server.
>
> What actually happens:
> PCManFM says "Specified location is not mounted".
>
> Why I'm sure it's PCmanFM's bug:
> Thunar does well.
>
> However, if I write the path into pathbar (smb://server/sharename/), it
> opens the location very nicely.
> Tried also on fresh install of 13.04, to absolutely no avail.
> 12.10's pcmanfm does not have this bug.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: pcmanfm 1.1.0-0ubuntu2
> ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
> Uname: Linux 3.8.0-19-generic i686
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: i386
> Config_pcmanfm_System_Lubuntu: Error: [Errno 2] No such file or
> directory: '/etc/xdg/pcmanfm/lubuntu.conf'
> Date: Tue Apr 30 02:25:45 2013
> EcryptfsInUse: Yes
> ExecutablePath: /usr/bin/pcmanfm
> InstallationDate: Installed on 2013-04-29 (0 days ago)
> InstallationMedia: Lubuntu 12.10 "Quantal Quetzal" - Release i386
> (20121017.1)
> MarkForUpload: True
> Pref_Config_System_Lubuntu:
> [Preferred Applications]
> WebBrowser=firefox.desktop
> MailClient=
> ProcEnviron:
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: pcmanfm
> Udisks_dump: Error: [Errno 2] No such file or directory: 'udisks'
> UpgradeStatus: Upgraded to raring on 2013-04-29 (0 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/pcmanfm/+bug/1174571/+subscriptions
>

John Hupp (john.hupp) wrote :

On a new full install of 13.04 Raring I don't find that smb://<server-name>/<share-name> opens a Windows Vista share for me.

John Hupp (john.hupp) wrote :

Whoops, the smb direct-address workaround was actually innocent here. It seems that there was some sort of a problem in Windows. I un-shared and then re-shared the folder in Windows and now smb://<server-name>/<share-name> opens it.

Adolfo Jayme (fitojb) on 2013-12-15
Changed in pcmanfm (Ubuntu):
status: Fix Committed → Fix Released
John Hupp (john.hupp) wrote :

This is good news.

But I vaguely that "Fix Released" is a technical term that doesn't necessarily mean that Raring or Saucy installations will find this fix installing via Updates tomorrow.

Can someone say more about that?

Mörgæs (moergaes) wrote :

Correct, 'fix released' refers to the development release (for the time being 14.04).

Normally developers should not backport a fix into old releases because
- their scarce time is best used when focusing on development
- it might break something in the old release

The only fixes which are backported on a regular basis are security bug fixes.

The best a standard user can do is to test 14.04 and post here if there are still problems.

John Hupp (john.hupp) wrote :

Thanks for the clarification.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers